<% if key_performance_indicators.any? %>
## Executive Summary

<table>
  <tr>
    <td>KPI</td>
    <td>Health</td>
    <td>Reason</td>
    <td>Next Steps</td>
  </tr>
  <% key_performance_indicators.each do |kpi| %>
  <tr>
    <td><a href="#<%= kpi.name.parameterize %>"><%= kpi.name %></a></td>
    <td><%= color_code_health kpi.health.level %></td>
    <td><%= kpi.health.reason %></td>
    <td><% kpi.next_steps.each do |next_step| %>
      <li><%= next_step %></li>
    <% end %></td>
  </tr>
  <% end %>
</table>
<% end %>

<% if key_performance_indicators.any? %>
## Key Performance Indicators

<% key_performance_indicators.each do |kpi| %>
  <%= partial 'includes/performance_indicator', locals: { performance_indicator: kpi } %>
<% end %>
<% end %>

<% if regular_performance_indicators.any? %>
## Regular Performance Indicators

<% regular_performance_indicators.each do |rpi| %>
  <%= partial 'includes/performance_indicator', locals: { performance_indicator: rpi } %>
<% end %>
<% end %>

## Other PI Pages

* [Engineering Function Performance Indicators](/handbook/engineering/performance-indicators/)
  * [Development Department Performance Indicators](/handbook/engineering/development/performance-indicators/)
    * [Growth Section Performance Indicators](/handbook/engineering/development/growth/performance-indicators/)
  * [Infrastructure Department Performance Indicators](/handbook/engineering/infrastructure/performance-indicators/)
  * [Quality Department Performance Indicators](/handbook/engineering/quality/performance-indicators/)
  * [Security Department Performance Indicators](/handbook/engineering/security/performance-indicators/)
  * [UX Department Performance Indicators](/handbook/engineering/ux/performance-indicators/)

## Legends

### Maturity

<%= partial 'includes/performance_indicator_maturities' %>

### Health

| Level | Meaning |
| <%= color_code_health(3) %> | The KPI is at an acceptable level compared to the threshold |
| <%= color_code_health(2) %> | This is a blip, or we’re going to watch it, or we just need to enact a proven intervention |
| <%= color_code_health(1) %> | We'll prioritize our efforts here |
| <%= color_code_health(0) %> | Unknown |

## How to work with pages like this

### Data

The heart of pages like this is a data file called `/data/performance_indicators.yml` which is in [YAML](https://yaml.org/) format. Almost everything you need to do will involve edits to this file. Here are some tips:

* Avoid `:` in strings as it's an important character in YAML and will confuse the data parsing process. Put the string in "quotes" if you really need to use a `:`
* `urls:` should be an array (indented lines starting with dashes) even if you only have one url
* Both `maturity.level` and `health.level` take a number between 0 and 3 (inclusive)

### Pages

Pages like `/handbook/engineering/performance-indicators/` are rendered by and [ERB](https://en.wikipedia.org/wiki/ERuby) template.

These ERB templates call the helper function `performance_indicators()` that is defined in `/helpers/custom_helpers.rb`. This helper function calls in several partial templates to do it's work.

This function takes a required argument named `org` in string format that limits the scope of the page to a portion of the data file. Possible valid values for this `org` argument are listed in the `orgs` property of each element in the array in `/data/performance_indicators.yml`.
